3 Replies Latest reply: Jun 27, 2012 2:09 PM by BDAqua
Samiam87 Level 1 Level 1

on my macbook a message pops up and says "itunes requires quicktime  7.5.5" is there a way to fix this issue?


MacBook (13-inch), Mac OS X (10.5.8)
Reply by BDAqua on Jun 16, 2012 10:05 PM Helpful

All replies